package com.patzn.lims.equip.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipClass;
import com.patzn.lims.equip.entity.LmsEquipClassRole;

import java.util.List;

/**
 * <p>
 * 仪器类别关联角色表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-05-14
 */
public interface ILmsEquipClassRoleService extends IBaseService<LmsEquipClassRole> {


    Page<LmsEquipClassRole> page(Page<LmsEquipClassRole> page, LmsEquipClassRole lmsEquipClassRole);


    List<LmsEquipClassRole> list(LmsEquipClassRole lmsEquipClassRole);

    Boolean saveRoleRelClass(Long roleId, Long[] classIds);

    List<LmsEquipClass> listByUserId(Long aLong);

    List<LmsEquipClass> listIncludeRoleId(Long roleId);

    List<LmsEquipClass> getClassAllTree(String name);

    List<LmsEquipClass> getClassTree(LmsEquipClass equipClass, Account account);
}
